<nav id="fixed-navbar">
  <div id="pages">
    <a href="#careers">Carreras</a>
    <a href="#courses">Cursos</a>
    <a href="#lessons">Clases</a>
  </div>
  <div id="user">
    <a href="#careers">Registrarse / Iniciar sesión</a>
  </div>
</nav>

<style>
  #fixed-navbar {
    position: fixed;
    top: 0px;
    background-color: rgb(21, 142, 158);
    height: 60px;
    width: 100%;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    box-sizing: content-box;
  }

  #fixed-navbar
    > #pages > a,
      #user > a {
        width: fit-content;
        height: fit-content;
        color: #ffffffd0;
        text-decoration: none;
  }

  #fixed-navbar
    > #pages,
      #user {
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        gap: 1rem;
        padding: 1rem;
  }

  #fixed-navbar a:hover {
    color: #ffffff !important;
  }
</style>